Bug 173316 - Huge memory allocation when calling parse_str()
Huge memory allocation when calling parse_str()
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: php (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Joe Orton
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2005-11-16 04:27 EST by Dave Downing
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-19 14:51:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dave Downing 2005-11-16 04:27:28 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.12) Gecko/20050915 Firefox/1.0.7

Description of problem:
Since updating  with the RHSA-2005:831-15 fix the parse_str() functionality is broken for us. The above url produces a memory allocation error.

Version-Release number of selected component (if applicable):
php 4.3.2

How reproducible:

Steps to Reproduce:
	echo '1: '.$_SERVER['QUERY_STRING'].'<br />';
	echo "$var1, $var2, $var3";

Actual Results:  Fatal error: Allowed memory size of 67108864 bytes exhausted (tried to allocate 741563257 bytes) in /home/sites/jon.servup.co.uk/web/error_parse_str.php on line 4

Expected Results:  Would not expect a memory error!

Additional info:

	echo '1: '.$_SERVER['QUERY_STRING'].'<br />';
	echo "$var1, $var2, $var3";
is at http://jon.servup.co.uk/no_parse_str.php?var1=hello&var2=96&var3=array[3,2,1] but produces no errors.
Comment 1 Joe Orton 2005-11-25 06:08:28 EST
Thanks for the report.

Experimental test packages are now available which contain a patch to
correct this issue.  These packages are unsupported and have not gone
through the Red Hat QA process.


Any feedback from testing these packages is very welcome.
Comment 2 Issue Tracker 2007-06-21 05:31:30 EDT
gmariene assigned to issue for EMEA Production Escalation.
Internal Status set to 'Resolved'
Status set to: Closed by Tech

This event sent from IssueTracker by gmariene 
 issue 83391
Comment 3 RHEL Product and Program Management 2007-10-19 14:51:05 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
For more information of the RHEL errata support policy, please visit:
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.